#
# spec file for package perl-Net-IP (Version 1.23)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Net-IP
License:        Artistic License
Group:          Development/Libraries/Perl
Provides:       perl_Net-IP
Obsoletes:      perl_Net-IP
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        allow easy manipulation of IPv4 and IPv6 addresses
Version:        1.23
Release:        14.2
Source:         Net-IP-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is the Net::IP module, designed to allow easy manipulation of IPv4
and IPv6 addresses.



Authors:
--------
    Manuel Valente

%debug_package
%prep
%setup -n Net-IP-%{version}

%build
perl Makefile.PL
make
# fails for ipv6 on SL 8.1, so disable the test.
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
/usr/bin/*
%{_mandir}/man3/*
%dir %perl_vendorlib/Net
%perl_vendorlib/Net/IP.pm
%dir %perl_vendorarch/auto/Net
%perl_vendorarch/auto/Net/IP
/var/adm/perl-modules/%{name}

%changelog -n perl-Net-IP
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Sun Jul 31 2005 - cthiel@suse.de
- update to version 1.23
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Fri Aug 01 2003 - ro@suse.de
- update to 1.20 / package binaries
* Mon Jul 28 2003 - ro@suse.de
- install to vendor locations
* Sun Jun 22 2003 - coolo@suse.de
- package directories
* Tue Apr 22 2003 - schubi@suse.de
- initial
